## mpegtsmux mpegtsmux |

## Description

## Synopsis

### Element Information

plugin | mpegtsmux
author | Fluendo <contact@fluendo.com>
class | Codec/Muxer

### Element Pads

name | sink_%d
direction | sink
presence | request
details | video/mpeg, parsed=(boolean)true, mpegversion=(int){ 1, 2, 4 }, systemstream=(boolean)false
| video/x-dirac
| video/x-h264, stream-format=(string)byte-stream, alignment=(string){ au, nal }
| video/x-h265, stream-format=(string)byte-stream, alignment=(string){ au, nal }
| audio/mpeg, parsed=(boolean)true, mpegversion=(int){ 1, 2 }
| audio/mpeg, framed=(boolean)true, mpegversion=(int)4, stream-format=(string)adts
| audio/mpeg, mpegversion=(int)4, stream-format=(string)raw
| audio/x-lpcm, width=(int){ 16, 20, 24 }, rate=(int){ 48000, 96000 }, channels=(int)[ 1, 8 ], dynamic_range=(int)[ 0, 255 ], emphasis=(boolean){ false, true }, mute=(boolean){ false, true }
| audio/x-ac3, framed=(boolean)true
| audio/x-dts, framed=(boolean)true
| audio/x-opus, channels=(int)[ 1, 8 ], channel-mapping-family=(int){ 0, 1 }
| subpicture/x-dvb
| application/x-teletext
| meta/x-klv, parsed=(boolean)true

name | src
direction | source
presence | always
details | video/mpegts, systemstream=(boolean)true, packetsize=(int){ 188, 192 }

## Functions

## Types and Values